package com.ruoyi.ems.service;

import java.util.List;
import com.ruoyi.ems.domain.ElecValencyType;

/**
 * 电价计量分类Service接口
 *
 * @author ruoyi
 * @date 2024-07-29
 */
public interface IElecValencyTypeService {
    /**
     * 查询电价计量分类
     *
     * @param id 电价计量分类主键
     * @return 电价计量分类
     */
    ElecValencyType selectElecValencyTypeById(Long id);

    /**
     * 查询电价计量分类列表
     *
     * @param elecValencyType 电价计量分类
     * @return 电价计量分类集合
     */
    List<ElecValencyType> selectElecValencyTypeList(ElecValencyType elecValencyType);

    /**
     * 新增电价计量分类
     *
     * @param elecValencyType 电价计量分类
     * @return 结果
     */
    int insertElecValencyType(ElecValencyType elecValencyType);

    /**
     * 修改电价计量分类
     *
     * @param elecValencyType 电价计量分类
     * @return 结果
     */
    int updateElecValencyType(ElecValencyType elecValencyType);

    /**
     * 批量删除电价计量分类
     *
     * @param ids 需要删除的电价计量分类主键集合
     * @return 结果
     */
    int deleteElecValencyTypeByIds(Long[] ids);

    /**
     * 删除电价计量分类信息
     *
     * @param id 电价计量分类主键
     * @return 结果
     */
    int deleteElecValencyTypeById(Long id);
}
